---
title: XDomainRequest.onerror
slug: Web/API/XDomainRequest/onerror
tags:
  - AJAX
  - API
  - DOM
  - IE
  - Microsoft
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>An event handler which is called when an {{domxref("XDomainRequest")}} encounters an error.</p>

<div class="note">
<p><strong>Note:</strong> There is no way to determine the cause of the error from the {{domxref("XDomainRequest")}} interface.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.onerror = <em>funcRef;</em></pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>funcRef</code></dt>
 <dd>A function to call when an error occurs.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("POST", "http://example.com/api/method");

xdr.onerror = function(){
  //Handle Error
}

xdr.onload = function(){
  //Handle Response with xdr.responseText
}

xdr.send("param1=value1&amp;param2=value2");</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.onerror")}}</p>
